aboutsummaryrefslogtreecommitdiffstats
path: root/testing/json-c/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-04-30 12:00:33 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-04-30 12:48:42 +0000
commitc66ef8d41a90775330b6a7c72db5d9b5635613af (patch)
treeb3c5421f65db1d199a225ba6c528298b1b7387d4 /testing/json-c/APKBUILD
parent7367b78628577d330d9c5aa14f752a97cfd18f89 (diff)
downloadaports-c66ef8d41a90775330b6a7c72db5d9b5635613af.tar.gz
aports-c66ef8d41a90775330b6a7c72db5d9b5635613af.tar.bz2
aports-c66ef8d41a90775330b6a7c72db5d9b5635613af.tar.xz
testing/json-c: new aport
A JSON implementation in C https://github.com/json-c/json-c/wiki
Diffstat (limited to 'testing/json-c/APKBUILD')
-rw-r--r--testing/json-c/APKBUILD48
1 files changed, 48 insertions, 0 deletions
diff --git a/testing/json-c/APKBUILD b/testing/json-c/APKBUILD
new file mode 100644
index 0000000000..fa2ede3bf6
--- /dev/null
+++ b/testing/json-c/APKBUILD
@@ -0,0 +1,48 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=json-c
+pkgver=0.10
+pkgrel=0
+pkgdesc="A JSON implementation in C"
+url="https://github.com/json-c/json-c/wiki"
+arch="all"
+license="MIT"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="https://github.com/downloads/json-c/json-c/json-c-$pkgver.tar.gz"
+
+_builddir="$srcdir"/json-c-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ --disable-static \
+ --enable-shared \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make -j1 DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="a4edc79410eb894f08d7d52ca9f88732 json-c-0.10.tar.gz"
+sha256sums="274fc9d47c1911fad9caab4db117e4be5d6b68c4547eab0c508d79c4768e170c json-c-0.10.tar.gz"
+sha512sums="d254eb223ebfb05e828bf039efb280f5e83b9f59116fba3af2892cf1f7732d152f7d0e2d8b77ec32e175b168022c2342f954e97f867c438b349f36b4dfdbd746 json-c-0.10.tar.gz"